# Asterisk Project : Asterisk 13 Function_RAND

Created by wikibot on Aug 08, 2014

# RAND()

### Synopsis

Choose a random number in a range.

### Description

Choose a random number between min and max. min defaults to `0`, if not specified, while max defaults to `RAND_MAX` (2147483647 on many systems).

Example: Set(junky=${RAND(1,8)}); Sets junky to a random number between 1 and 8, inclusive.

### Syntax

    RAND(min,max)

##### Arguments

- `min`
- `max`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538